Back to Redis

Config

content/operate/rs/references/rest-api/requests/modules/config.md

latest2.9 KB
Original Source

{{<banner-article>}} This REST API path is deprecated as of Redis Software version 7.4. Use [PUT /v2/bdbs/<uid>]({{<relref "/operate/rs/references/rest-api/requests/bdbs#put-bdbs-action">}}) instead. {{</banner-article>}}

MethodPathDescription
POST/v1/modules/config/bdb/{uid}Configure module

Configure module {#post-modules-config-bdb}

POST /v1/modules/config/bdb/{string: uid}

Use the module runtime configuration command (if defined) to configure new arguments for the module.

Required permissions

Permission name
[edit_bdb_module]({{< relref "/operate/rs/references/rest-api/permissions#edit_bdb_module" >}})

Request {#post-request}

Example HTTP request

POST /v1/modules/config/bdb/1

Example JSON body

json
{
  "modules": [
    {
      "module_name": "search",
      "module_args": "MINPREFIX 3 MAXEXPANSIONS 1000"
    }
  ]
}

Request headers

KeyValueDescription
Hostcnm.cluster.fqdnDomain name
Acceptapplication/jsonAccepted media type

Request body

FieldTypeDescription
moduleslist of JSON objectsList of modules (module_name) and their new configuration settings (module_args)
module_namesearch
ReJSON
graph
timeseries
bfModule's name
module_argsstringModule command line arguments (pattern does not allow special characters &,<,>,")

Response {#post-response}

Returns a status code. If an error occurs, the response body may include an error code and message with more details.

Error codes {#post-error-codes}

When errors are reported, the server may return a JSON object with error_code and message field that provide additional information. The following are possible error_code values:

CodeDescription
db_not_existDatabase with given UID doesn't exist in cluster
missing_field"module_name" or "module_args" are not defined in request
invalid_schemaJSON object received is not a dict object
param_error"module_args" parameter was not parsed properly
module_not_existModule with given "module_name" does not exist for the database

Status codes {#post-status-codes}

CodeDescription
200 OKSuccess, module updated on bdb.
404 Not Foundbdb not found.
400 Bad RequestBad or missing configuration parameters.
406 Not AcceptableModule does not support runtime configuration of arguments.